Bug 194865 - [GTK] Pinch Zooming has no maximum
Summary: [GTK] Pinch Zooming has no maximum
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKitGTK (show other bugs)
Version: Other
Hardware: Unspecified Linux
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-02-20 12:34 PST by Cassidy James Blaede
Modified: 2019-05-08 08:46 PDT (History)
5 users (show)

See Also:


Attachments
Patch (1.73 KB, patch)
2019-05-07 07:58 PDT, Alexander Mikhaylenko
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews215 for win-future (13.34 MB, application/zip)
2019-05-07 09:13 PDT, Build Bot
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Cassidy James Blaede 2019-02-20 12:34:30 PST
There appears to be no maximum to the zoom level when using multi-touch pinch-zooming on a touch screen. In some instances in some applications this causes a crash when zooming in a large amount. Reproducible in Epiphany Technology Preview. Further, applications are unable to access the scale property, so they cannot implement their own maximum.

It appears Chrome has a pretty conservative maximum zoom level when using touch.
Comment 1 Alexander Mikhaylenko 2019-02-20 12:44:23 PST
WebKit on Mac has 3x as maximum IIRC.
Comment 2 Alexander Mikhaylenko 2019-05-07 07:58:45 PDT
Created attachment 369283 [details]
Patch
Comment 3 Build Bot 2019-05-07 09:13:19 PDT Comment hidden (obsolete)
Comment 4 Build Bot 2019-05-07 09:13:21 PDT Comment hidden (obsolete)
Comment 5 WebKit Commit Bot 2019-05-08 08:46:42 PDT
Comment on attachment 369283 [details]
Patch

Clearing flags on attachment: 369283

Committed r245055: <https://trac.webkit.org/changeset/245055>
Comment 6 WebKit Commit Bot 2019-05-08 08:46:43 PDT
All reviewed patches have been landed.  Closing bug.